Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039655
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Cash upmajoralways2018-11-20 13:052018-12-11 16:21
ReporterlmonrealView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision18371c157a45
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039655: WEBPOS freeze if Cancel is clicked when approval is displayed to do cash up after openning a WEBPOS closed from back office

DescriptionWhen a user needs approval to do the cash up and the store is closed from back office, when user logs again in webpos "Cash up needs to be done" pop up is displayed with the approval. If Cancel button is clicked WEBPOS freezes

It is similar to:
https://issues.openbravo.com/view.php?id=39532 [^]
Steps To Reproduce    

1.Configuration
Web POS Cash Up window approval
Value: Y
User Openbravo

Web POS Cash Up window approval
Value: N
User: Blank

Steps:

1. Open store and terminal
2. Do a transaction
3. Close store from back office
4. Login back with Demo user (any user apart from Openbravo will serve)
5. Cash up needs to be done window is displayed
6. Approval is displayed, click Cancel
7. WEBPOS freezes
Proposed SolutionUser should be logged out, WEBPOS should not freeze
TagsNo tags attached.
Attached Filespng file icon WEBPfr.png [^] (80,048 bytes) 2018-11-20 13:05

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108275)
hgbot (developer)
2018-12-05 11:47

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: cf3e9c9bb7443ae7b382e22b374d90b18c7daed1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Dec 05 16:17:20 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/cf3e9c9bb7443ae7b382e22b374d90b18c7daed1 [^]

Related to issue 39655 : POS should be logout when PreWindowNavigate hook fail in certain conditions

* If conditon is failed in PreWindowNavigate hook implementation, navigation should be stopped and added option to force Logout the application

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0108316)
hgbot (developer)
2018-12-06 14:13

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 79565f1a0b0aef7ffa62ad3b9720b920ad0f616b
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 06 18:43:00 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/79565f1a0b0aef7ffa62ad3b9720b920ad0f616b [^]

Related to issue 39655 : POS should be logout if force cashup is enabled

* if force cashup is enabled, POS should be logout when window is navigated to any other window other than Cashup

---
M web/org.openbravo.retail.sessions/js/components/loginhook.js
M web/org.openbravo.retail.sessions/js/countcash/countcash.js
---
(0108362)
hgbot (developer)
2018-12-10 15:27

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 18371c157a45d439b5b4fb81231a9d8596ad7119
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Dec 10 19:56:51 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/18371c157a45d439b5b4fb81231a9d8596ad7119 [^]

Fixed issue 39655 : Confirmation Container components should hide and destroy before showing another component in Container

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
M web/org.openbravo.mobile.core/source/component/obpos-approval.js
M web/org.openbravo.mobile.core/source/utils/ob-utilitiesui.js
---
(0108400)
migueldejuana (developer)
2018-12-11 16:21

Tested and reviewed

- Issue History
Date Modified Username Field Change
2018-11-20 13:05 lmonreal New Issue
2018-11-20 13:05 lmonreal Assigned To => Retail
2018-11-20 13:05 lmonreal File Added: WEBPfr.png
2018-11-20 13:05 lmonreal Triggers an Emergency Pack => No
2018-11-20 13:07 lmonreal Description Updated View Revisions
2018-11-20 15:10 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-11-20 15:10 ranjith_qualiantech_com Status new => scheduled
2018-12-05 11:47 hgbot Checkin
2018-12-05 11:47 hgbot Note Added: 0108275
2018-12-06 14:13 hgbot Checkin
2018-12-06 14:13 hgbot Note Added: 0108316
2018-12-10 13:06 rafaroda Issue Monitored: rafaroda
2018-12-10 15:27 hgbot Checkin
2018-12-10 15:27 hgbot Note Added: 0108362
2018-12-10 15:27 hgbot Status scheduled => resolved
2018-12-10 15:27 hgbot Resolution open => fixed
2018-12-10 15:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/18371c157a45d439b5b4fb81231a9d8596ad7119 [^]
2018-12-11 16:21 migueldejuana Review Assigned To => migueldejuana
2018-12-11 16:21 migueldejuana Note Added: 0108400
2018-12-11 16:21 migueldejuana Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker